from cheno import MannWhitney, Wilcoxon, KruskalWallis, Friedman

import cProfile


def basic_mann_whitney_andy_field_example():
    p = 0.000493
    r = -0.78
    m = MannWhitney()
    pr = cProfile.Profile()
    pr.enable()
    m.solve(p, r, [None, None], tails=2)
    pr.disable()
    pr.print_stats(sort="calls")


def basic_wilcoxon_andy_field_example():
    p = .047
    r = -0.44
    w = Wilcoxon()
    pr = cProfile.Profile()
    pr.enable()
    w.solve(p, r, tails=2)
    pr.disable()
    pr.print_stats(sort="calls")


def basic_kruskal_wallis_andy_fields_example():
    p = .034186
    eta2 = .07349
    kw = KruskalWallis(None, None, None, None)
    pr = cProfile.Profile()
    pr.enable()
    kw.solve(p, eta2)
    pr.disable()
    pr.print_stats(sort="calls")


def kruskal_wallis_1():
    p = 0.6390839760290639
    eta2 = -0.0024845517094142346
    k = 7
    kw = KruskalWallis(*[None for _ in range(k)])
    pr = cProfile.Profile()
    pr.enable()
    kw.solve(p, eta2)
    pr.disable()
    pr.print_stats(sort="calls")


def basic_friedman_andy_fields_example():
    p = .905
    w = .00333
    k = 3
    f = Friedman()
    pr = cProfile.Profile()
    pr.enable()
    f.solve(p, w, k)
    pr.disable()
    pr.print_stats(sort="calls")


def friedman_1():
    p = 0.5234619745905824
    w = 0.008600000000000515
    k = 7
    f = Friedman()
    pr = cProfile.Profile()
    pr.enable()
    f.solve(p, w, k)
    pr.disable()
    pr.print_stats(sort="calls")


if __name__ == '__main__':
    # basic_mann_whitney_andy_field_example()
    # basic_wilcoxon_andy_field_example()
    # basic_kruskal_wallis_andy_fields_example()
    kruskal_wallis_1()
    # basic_friedman_andy_fields_example()
    # friedman_1()
