from cheno import StudentD, StudentI, ANOVA

import cProfile


def basic_student_d_andy_field_example():
    p = .031
    d = -0.7138936078529723
    s = StudentD()
    pr = cProfile.Profile()
    pr.enable()
    s.solve(p, d, tails=2)
    pr.disable()
    pr.print_stats(sort="calls")


def basic_student_ind_eq_n_andy_fields_example():
    p = .107
    d = -0.6862653762697537
    s = StudentI()
    pr = cProfile.Profile()
    pr.enable()
    s.solve(p, d, tails=2, eq_n=True)
    pr.disable()
    pr.print_stats(sort="calls")


def basic_anova_eq_n_andy_fields_example():
    p = 0.025
    eta2 = .46
    a = ANOVA()
    pr = cProfile.Profile()
    pr.enable()
    a.solve(p, eta2, 3, g_mean=3.467)
    pr.disable()
    pr.print_stats(sort="calls")


def anova_eq_n_gen_1():
    p = 0.6389964401634847
    eta2 = 0.0042550680381684
    a = ANOVA()
    pr = cProfile.Profile()
    pr.enable()
    a.solve(p, eta2, 4)
    pr.disable()
    pr.print_stats(sort="calls")


def anova_eq_n_gen_2():
    p = 0.01245312452035301
    eta2 = 0.02311604069356612
    a = ANOVA()
    pr = cProfile.Profile()
    pr.enable()
    means, _, _ = a.solve(p, eta2, 7, means=[0.0, 0.0, 0.0, 0.0, 0.0, -0.36729253950879887, 0.36729253950879887])
    print(means)
    pr.disable()
    pr.print_stats(sort="calls")


if __name__ == '__main__':
    # basic_student_d_andy_field_example()
    # basic_student_ind_eq_n_andy_fields_example()
    # basic_anova_eq_n_andy_fields_example()
    # anova_eq_n_gen_1()
    anova_eq_n_gen_2()
